Loading...
Searching...
No Matches
KeccakP-1600-3gpp.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | EXPORTIT

## Functions

EXPORTIT void | Keccak_f_8 (uint8_t s[200])
EXPORTIT void | Keccak_f_32 (uint32_t s[50])
EXPORTIT void | Keccak_f_64 (uint64_t s[25])

## Macro Definition Documentation

## EXPORTIT

#define EXPORTIT

## Function Documentation

## Keccak_f_32()

EXPORTIT void Keccak_f_32 | ( | uint32_t | s[50] | ) |

References Iota, Pi, and Rho.

## Keccak_f_64()

EXPORTIT void Keccak_f_64 | ( | uint64_t | s[25] | ) |

References Iota, Pi, Rho, and ROTATE64.

Referenced by tuak_core().

## Keccak_f_8()

EXPORTIT void Keccak_f_8 | ( | uint8_t | s[200] | ) |

References Iota, Pi, and Rho.